﻿var G_ResizeTime = 0;

function setDivMaskPos() {
	var tarHeight;
	var tarWidth;
	var barH = 0;
	
	var NowTime = new Date();
	if ((NowTime.getTime() - G_ResizeTime) < 50) return;
	G_ResizeTime = NowTime.getTime(); 
	
	document.getElementById("divMask").style.left = (document.documentElement.scrollLeft + document.body.scrollLeft).toString() + "px";
	document.getElementById("divMask").style.top = (document.documentElement.scrollTop + document.body.scrollTop).toString() + "px";
	
	if (typeof window.innerWidth != 'undefined') {
		tarHeight = window.innerHeight;
		tarWidth = window.innerWidth;
	}
	else if (typeof document.documentElement != 'undefined' && typeof document.documentElement.clientWidth != 'undefined' && document.documentElement.clientWidth != 0) {
		tarHeight = document.documentElement.clientHeight;
		tarWidth = document.documentElement.clientWidth;
	}
	else {	
		tarHeight = document.getElementsByTagName('body')[0].clientHeight;	
		tarWidth = document.getElementsByTagName('body')[0].clientWidth;
	}
	
	document.getElementById("divMask").style.height = tarHeight + "px";
	document.getElementById("divMask").style.width = tarWidth + "px";
}

function createDivMask(sBgColor, iZindex, fOpacity) {  //iOpacity: 0~1
	//var targetDoc = targetWindow.document;
	//check mask
	if(document.getElementById("divMask") === null) {
	}else {
		removeDivMask();
	}

	var divMask = document.createElement("div");
	var imgIcon = document.createElement("img");

	divMask.id = "divMask";
	divMask.className = "divBlockMask";

	if (typeof(sBgColor) != "undefined" && sBgColor.length != 0) {
		divMask.style.backgroundColor = sBgColor;		
	}

	if (typeof(iZindex) != "undefined" && iZindex != 0) {
		divMask.style.zIndex = iZindex;		
	}

	if (typeof(fOpacity) != "undefined" && fOpacity != 0) {
		divMask.style.filter = "alpha(opacity=" + (fOpacity * 100).toString() + ")";    
		divMask.style.MozOpacity = fOpacity.toString();    
		divMask.style.opacity = fOpacity.toString();    
	}

	imgIcon.id = "imgIcon";
	imgIcon.src = "Images/loadinfo.net.gif";
	imgIcon.style.width = "24px";
	imgIcon.style.height = "24px";    
	imgIcon.style.position = "absolute";	
	imgIcon.style.top = "50%";    
	imgIcon.style.left = "50%";
	
	divMask.appendChild(imgIcon);

	document.body.appendChild(divMask);
	G_ResizeTime = 0;
	setDivMaskPos();
	if (typeof window.addEventListener != "undefined") {
		window.addEventListener("resize", setDivMaskPos, false);
		window.addEventListener("scroll", setDivMaskPos, false);
	} 
	else {
		window.attachEvent("onresize", setDivMaskPos);
		window.attachEvent("onscroll", setDivMaskPos);
	}
}

function removeDivMask() {
	if (typeof window.addEventListener != "undefined") 
	{
		window.removeEventListener("resize", setDivMaskPos, false);
		window.removeEventListener("scroll", setDivMaskPos, false);
	} 
	else 
	{
		window.detachEvent("onresize", setDivMaskPos);
		window.detachEvent("onscroll", setDivMaskPos);
	}
	try {
		document.getElementById("divMask").parentNode.removeChild(document.getElementById("divMask"));
	} catch(e) { }
}

function setDivMsgPos() {
	var windowWidth;
	var windowHeight;
	
	if (typeof window.innerWidth != 'undefined') 
	{
		windowHeight = window.innerHeight;
		windowWidth = window.innerWidth;
	}
	else if (typeof document.documentElement != 'undefined' && typeof document.documentElement.clientWidth != 'undefined' && document.documentElement.clientWidth != 0) 
	{
		windowHeight = document.documentElement.clientHeight;
		windowWidth = document.documentElement.clientWidth;
	}
	else 	
	{	
		windowHeight = document.getElementsByTagName('body')[0].clientHeight;	
		windowWidth = document.getElementsByTagName('body')[0].clientWidth;	
	}
	document.getElementById("divMsg").style.top = ((windowHeight - 140) / 2) + "px";    
	document.getElementById("divMsg").style.left = ((windowWidth - 280) / 2) + "px";		
}

function createMsgDialog(bgImgSrc, imgIconSrc, showMsg) {  //背景圖來源，圖示來源，訊息內容
	var divMsg = document.createElement("div");

	divMsg.id = "divMsg";
	divMsg.style.zIndex = "101";    
	divMsg.style.width = "280px";    
	divMsg.style.height = "140px";    
	divMsg.style.position = "absolute";	
	divMask.style.filter = "alpha(opacity=40)";    
	divMask.style.MozOpacity = "0.4";    
	divMask.style.opacity = "0.4";    
	divMask.style.backgroundColor = "#333333";	
	divMsg.style.backgroundImage = bgImgSrc;
	divMsg.style.textAlign = "center"; 
		
	var divMsgContent = document.createElement("div");
	divMsgContent.id = "divMsgContent";
	divMsgContent.style.height = "70px"; 
	divMsgContent.style.verticalAlign = "middle"; 
	divMsgContent.style.textAlign = "left"; 
	divMsgContent.style.paddingLeft = "15px";
	divMsgContent.style.paddingRight = "10px";
	divMsgContent.style.paddingTop = "15px";
	divMsgContent.style.paddingBottom = "15px";
	divMsgContent.style.fontSize = "14px";
	divMsgContent.style.lineHeight = "17px";
	divMsgContent.appendChild(document.createTextNode(showMsg));
	divMsg.appendChild(divMsgContent);
	
	var imgIcon = document.createElement("img");
	imgIcon.id = "imgIcon";
	imgIcon.src = imgIconSrc;
	divMsg.appendChild(imgIcon);
	document.body.appendChild(divMsg);	
	
	setDivMsgPos();
	if (typeof window.addEventListener != "undefined") 
	{
		window.addEventListener("resize", setDivMsgPos, false);
	} 
	else 
	{
		window.attachEvent("onresize", setDivMsgPos);
	}
	
}

function removeMsgDialog() {
	if (typeof window.addEventListener != "undefined") 
	{
		window.removeEventListener("resize", setDivMsgPos, false);
	} 
	else 
	{
		window.detachEvent("onresize", setDivMsgPos);
	}
	try {
		document.getElementById("divMsg").parentNode.removeChild(document.getElementById("divMsg"));
	} catch(e) { }
}